%define	major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	An SQLite extension that provides 256 bit AES encryption of database files
Name:		sqlcipher
Version:	4.5.6
Release:	%mkrel 1
License:	BSD-style
Group:		System/Libraries
URL:		https://www.zetetic.net/sqlcipher/
Source0:	https://github.com/sqlcipher/sqlcipher/archive/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	tcl

%description
SQLCipher is an SQLite extension that provides transparent 256-bit AES
encryption of database files. Pages are encrypted before being written to
disk and are decrypted when read back. Due to the small footprint and great
performance it’s ideal for protecting embedded application databases and
is well suited for mobile development.

%package -n	%{libname}
Summary:	An SQLite extension that provides 256 bit AES encryption of database files
Group:		System/Libraries

%description -n	%{libname}
SQLCipher is an SQLite extension that provides transparent 256-bit AES
encryption of database files. Pages are encrypted before being written to
disk and are decrypted when read back. Due to the small footprint and great
performance it’s ideal for protecting embedded application databases and
is well suited for mobile development.

This package contains the shared libraries for %{name}

%package -n	%{develname}
Summary:	Development library and header files for the %{name} library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
SQLCipher is an SQLite extension that provides transparent 256-bit AES
encryption of database files. Pages are encrypted before being written to
disk and are decrypted when read back. Due to the small footprint and great
performance it’s ideal for protecting embedded application databases and
is well suited for mobile development.

This package contains the static %{libname} library and its header
files.

%prep
%setup -qn %{name}-%{version}
%autopatch -p1

%build
export CFLAGS="%optflags -DSQLITE_HAS_CODEC -DSQLITE_ENABLE_COLUMN_METADATA"
%configure2_5x --disable-static --disable-tcl --enable-tempstore=yes
%make

%install
rm -rf %buildroot
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Feb 22 2024 tex - 4.5.6-1pclos2024
- new version

* Sun Sep 03 2023 tex - 4.5.5-1pclos2023
- new version

* Sat Mar 13 2021 tex - 4.4.3-1pclos2021
- new version

* Sun Dec 20 2020 tex - 4.4.2-1pclos2021
- new version
